#### D.4.25.34 intmat2binomials

Procedure from library `normaliz.lib` (see normaliz_lib).

Usage:
  intmat2binomials(intmat M);

Return:
  an ideal generated by the binomials which correspond to the exponent vectors given by the rows of `M`

Note:
  The number of variables in the basering `nvars(basering)` has to be at least the number of columns `ncols(M)`, otherwise the function exits with an error is thrown (see ERROR). The vector with all entries zero represents 1.

Example:

    LIB "normaliz.lib";
    ring S = 37,(u,v,w,x,y,z),dp;
    intmat M[2][6] = 1,0,1,-1,-2,0,  -3,4,5,0,0,1;
    intmat2binomials(M);
    ==> _[1]=-xy2+uw
    ==> _[2]=v4w5z-u3

See also: binomials2intmat.

User manual for Singular version 4.4.1, 2025, generated by texi2html.